namespace ScrewsMaster
{
    public class MakeupTaskData
    {
        public int tableId;


        public int id;


        public string amountStr;


        public decimal amount;


        public long makeupTime;


        public int videoCount;


        public int inlineInitNum;


        public int inlineNum;


        public string orderID;


        public MakeupTaskStatus status;

        public long order_time = 0;
        public int WatchVideoSpeedNum = 0;
        public int loginSpeedNum = 0;
        public int activeMinute = 0;
        public int activeSpeedNum = 0;


        public void SetStatus(MakeupTaskStatus _status)
        {
            status = _status;
        }

        public string GetAmountStr()
        {
            if (amount <= 0)
            {
                return amountStr;
            }
            else
            {
                return GameHelper.Get102Str(amount);
            }
        }
    }

    public enum MakeupTaskStatus
    {
        None,
        Task,
        Inline,
    }
}